# Bluetooth device connect

A decision block that connects to a Bluetooth device.

If the proceed option is set to Immediately, then try to connect to the device without pausing the fiber. If set to When connected, then the fiber will pause until a connection has been established, or failed to connect.

The NO path is executed if the device is not found, or the system failed connect for some other unknown reason.

The address of a device may be randomized at regular intervals unless devices has been paired, and the device name may not always be available.

Note! This feature isn’t officially supported, may not work on all devices.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Device address — address of device, default is first paired device found.
- Device name — name of device, default is first paired device found.
- Device profile — profile of the device to connect to, default is Headset.